Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
Rozwiązane Geany - wersje pythona
#1
0
Chcę się nauczyć programowania w języku Python pod kontrolą Linux Mint 19.2.
Uruchomiłem konsolę i wydałem polecenie 'python'. Okazało się, że mam wersję 2.7.15.
Spróbowałem paru najprostszych poleceń typu 'print' i prosta arytmetyka. Działały zgodnie z opisami z różnych poradników.
Spróbowałem pisania skryptów *.py w programie 'Geany'. Również działały.
Postanowiłem zmienić wesję pythona na 3. Zrobiłem to poleceniem: 
Kod:
sudo apt install python3
Po tej czynności okazało się, że Geany nadal integruje się z pythonem 2.7.15. Pod konsolą mogę mieć starego lub nowego pythona w zależności od tego czy wydam polecenie 'python' czy 'python3'.
Czy to jest normalny stan czy też coś spaprałem?
Czy można zrobić tak bym miał tylko nowego pythona i żeby Geany się z nim integrował?
#2
0
Python 2.7.15 to mniej więcej to samo co Python 3 tylko różnią się kilkoma opcjami

"3 jest ogólnie lepszy, głównie przez znacznie wygodniejszą obsługę unicode. No i wiele innych rzeczy, jak wygodniejsze rozpakowywanie krotek/list/etc (jeszcze wygodniejsze w nadchodzącym 3.5), brak bałaganu z range() i xrange(), rozszerzona biblioteka standardowa etc."

Która wersja lepsza to zależy ponoć od np. bibliotek bo część masz na starą wersję i część na nowej (nie mogą działać wspólnie).
#3
1
Better response on post RE: kłopotliwe wersje pythonaMenu->Zbuduj->Zdefiniuj polecenia budowania
Dopisz 3 do wyrazu python w polach compile i execute
[Obrazek: Ek6l0OAl.png]
[Obrazek: hOAuspvl.png]
[Obrazek: uu278Xpl.png][Obrazek: l2P3pYwl.png]
#4
0
(04-12-2019, 04:04)Nicekovsky napisał(a): Python 2.7.15 to mniej więcej to samo co Python 3 tylko różnią się kilkoma opcjami

"3 jest ogólnie lepszy, głównie przez znacznie wygodniejszą obsługę unicode. No i wiele innych rzeczy, jak wygodniejsze rozpakowywanie krotek/list/etc (jeszcze wygodniejsze w nadchodzącym 3.5), brak bałaganu z range() i xrange(), rozszerzona biblioteka standardowa etc."

Która wersja lepsza to zależy ponoć od np. bibliotek bo część masz na starą wersję i część na nowej (nie mogą działać wspólnie).
Dzięki za te informacje. Na moim etapie nauki pythona wersja ma drugorzędne znaczenie choć za jakiś czas bedzie inaczej. Teraz interesuje mnie samo zarzadzanie wersjami. Większość programów podczas instalacji nowej wersji kasuje starą. W przypadku pythona mam inaczej. Dlatego zapytałem czy popełniłem jakś błąd i co z tym zrobić teraz aby mieć jedną, nowszą wersję?

Dodano po pewnym czasie:
(04-12-2019, 09:33)dedito napisał(a): Menu->Zbuduj->Zdefiniuj polecenia budowania
Dopisz 3 do wyrazu python w polach compile i execute
Dzięki! Bardzo proste i oczywiście zadziałało. Szukałem czegoś takiego w "Edycja/Preferencje" i odpuściłem gdy nie znalazłem. Prosiłbym jeszcze o doradzenie w sprwie: czy utrzymywać zainstalowaną starą wersję pythona czy raczej ją usunąć?
#5
1
Better response on post RE: kłopotliwe wersje pythonaZostaw.
#6
0
Najlepiej zostawić, gdyz w czasie nauki będziesz się uczył i korzystał z tutoriali - dany kod może nie zadziałać na innej wersji Wink
#7
0
Dziękuję dedito i Nicekovsky. Moje wątpliwości zostały definitywnie rozwiązane. Chętnie bym oznaczył cały wątek jako SOLVED ale (jako nowicjusz tutaj) nie wiem jak to zrobić ani czy takie oznaczenie leży w moich kompretencjach. :-)
#8
0
Oznaczam wątek jako rozwiązany.
Zamykam wątek.


Skocz do:




Użytkownicy przeglądający ten wątek: 1 gości